Loading...
Searching...
No Matches
decaf::EdDSA< Ristretto >::PrivateKeyBase Class Reference

Signing (i.e. More...

`#include <ed255.hxx>`

Inheritance diagram for decaf::EdDSA< Ristretto >::PrivateKeyBase:

## Public Types

typedef class PublicKeyBase | PublicKey
| Type of public key corresponding to this private key.
typedef Ristretto | Group
| Underlying group.

## Public Member Functions

| PrivateKeyBase (const NOINIT &) DECAF_NOEXCEPT
| Create but don't initialize.
| PrivateKeyBase (const FixedBlock< SER_BYTES > &b) DECAF_NOEXCEPT
| Read a private key from a string.
| PrivateKeyBase (const PrivateKeyBase &k) DECAF_NOEXCEPT
| Copy constructor.
| PrivateKeyBase (Rng &r) DECAF_NOEXCEPT
| Create at random.
PrivateKeyBase & | operator= (const PrivateKey &k) DECAF_NOEXCEPT
| Copy assignment.
| ~PrivateKeyBase ()
| Create at random.
PrivateKeyBase & | operator= (const FixedBlock< SER_BYTES > &b) DECAF_NOEXCEPT
| Assignment from string.
size_t | ser_size () const DECAF_NOEXCEPT
| Serialization size.
void | serialize_into (unsigned char *x) const DECAF_NOEXCEPT
| Serialize into a buffer.
SecureBuffer | convert_to_x () const
| Convert to X format (to be used for key exchange)
PublicKey | pub () const DECAF_NOEXCEPT
| Return the corresponding public key.
Public Member Functions inherited from decaf::Serializable< PrivateKeyBase >
size_t | ser_size () const DECAF_NOEXCEPT
| Return the number of bytes needed to serialize this object.
void | serialize_into (unsigned char *buf) const DECAF_NOEXCEPT
| Serialize this object into a buffer.
SecureBuffer | serialize () const
| Serialize this object into a SecureBuffer and return it.

## Static Public Attributes

static const size_t | SIG_BYTES = DECAF_EDDSA_25519_SIGNATURE_BYTES
| Signature size.
static const size_t | SER_BYTES = DECAF_EDDSA_25519_PRIVATE_BYTES
| Serialization size.

## Detailed Description

Signing (i.e.

private) key base class

The documentation for this class was generated from the following file:

- src/GENERATED/include/decaf/ed255.hxx